package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(subject):
 */
public class Subject implements Serializable {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "声部名称",required = false)
	private String name;
	
	/**  */
	@ApiModelProperty(value = "声部编号",required = false)
	private String code;
	
	/**  */
	@ApiModelProperty(value = "父级编号",required = false)
	private Long parentSubjectId;
	
	private String parentSubjectName;
	
	@ApiModelProperty(value = "图片地址",required = false)
	private String img;

	@ApiModelProperty("声部默认频率")
	private Integer aiDefaultFrequency;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private String desc;
	
	/**  */
	@ApiModelProperty(value = "是否删除1是，0否",required = false)
	private Boolean delFlag= false;

	/**  */
	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Subject> subjects;

	public Integer getAiDefaultFrequency() {
		return aiDefaultFrequency;
	}

	public void setAiDefaultFrequency(Integer aiDefaultFrequency) {
		this.aiDefaultFrequency = aiDefaultFrequency;
	}

	public List<Subject> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<Subject> subjects) {
		this.subjects = subjects;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCode(String code){
		this.code = code;
	}
	
	public String getCode(){
		return this.code;
	}
			
	public void setParentSubjectId(Long parentSubjectId){
		this.parentSubjectId = parentSubjectId;
	}
	
	public Long getParentSubjectId(){
		return this.parentSubjectId;
	}
			
	public String getParentSubjectName() {
		return parentSubjectName;
	}

	public void setParentSubjectName(String parentSubjectName) {
		this.parentSubjectName = parentSubjectName;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
}
